%define name p-run
%define version 0.1
%define release %mkrel 4

Summary: Runs program, script or commands on large number of hosts in parallel
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Patch0:	p-run-Makefile.patch
License: GPL
Group: Networking/Remote access
Url: http://www.sorensonfamily.com/~frank/projects/p-run/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: expect-devel

%description
p-run is a utility that runs a program, script, or series of commands on
a large number of hosts in parallel. It simplifies management of machines
in computer labs. It uses ssh, and supports password and key-based 
authentication. p-run uses libexpect, and will run in parallel across as 
many processes as specified. When run on a large number of hosts, its 
parallel nature significantly speeds up administration.

%files
%defattr(-,root,root)
%doc Copying README TODO
%attr(755,root,root) %{_bindir}/*

#--------------------------------------------------------------------

%prep
%setup -q
%patch -p0

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_bindir}
cp -v %name %{buildroot}%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT



%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.1-4mdv2008.1
+ Revision: 140737
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Aug 04 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 08/04/06 12:38:23 (51780)
- Add BuildRequires

* Thu Aug 03 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 08/03/06 12:59:57 (43197)
import p-run-0.1-3mdk

* Fri Jul 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.1-3mdk
- Rediff Patch 0

* Mon Mar 21 2005 Antoine Ginies <aginies@n1.mandrakesoft.com> 0.1-2mdk
- rebuild

* Thu May 27 2004 Antoine Ginies <aginies@n2.mandrakesoft.com> 0.1-1mdk
- first Mandrakesoft release

